## org.springframework.scheduling.quartz
Interface JobDetailAwareTrigger

All Known Implementing Classes:
  CronTriggerBean, SimpleTriggerBean

    public interface JobDetailAwareTrigger

Interface to be implemented by Quartz Triggers that are aware of the JobDetail object that they are associated with.

SchedulerFactoryBean will auto-detect Triggers that implement this interface and register them for the respective JobDetail accordingly.

The alternative is to configure a Trigger for a Job name and group: This involves the need to register the JobDetail object separately with SchedulerFactoryBean.

Since:
  18.02.2004
Author:
  Juergen Hoeller
See Also:
  `SchedulerAccessor.setTriggers(org.quartz.Trigger[])`, `SchedulerAccessor.setJobDetails(org.quartz.JobDetail[])`, `Trigger.setJobName(java.lang.String)`, `Trigger.setJobGroup(java.lang.String)`

Method Summary
`org.quartz.JobDetail` `getJobDetail()` Return the JobDetail that this Trigger is associated with.

Method Detail

### getJobDetail

    org.quartz.JobDetail getJobDetail()

  Return the JobDetail that this Trigger is associated with.

  Returns:
    the associated JobDetail, or `null` if none